#ifndef CUBE_H
#define CUBE_H

#include "Body.h"

class Cube : public Body {
private:
	static float side; //Half cube side length
	static float normals[6][3];
	static int faceIndices[6][4];
	static float vertices[8][3];

public:
	Cube();
	Cube(float* position);
	void updateVBO(int vertexIndex);
	void updateColorArray(int vertexIndex);
	void createParticles();
	void applyRotationToParticles();
	void updateInverseInertiaTensor();
};

#endif
